package com.imin.apitest;

import android.content.Intent;
import android.content.pm.PackageManager;
import android.os.Bundle;
import android.view.View;
import android.widget.Button;
import android.widget.TextView;

import com.imin.apitest.biz.CashBoxActivity;
import com.imin.apitest.biz.LightActivity;
import com.imin.apitest.biz.MsrActivity;
import com.imin.apitest.biz.NfcActivity;
import com.imin.apitest.biz.ScannerActivity;
import com.imin.apitest.biz.display.ScreenActivity;
import com.imin.apitest.biz.scale.SelectScaleActivity;
import com.imin.apitest.biz.scan.CustomCaptureActivity;
import com.imin.library.SystemPropManager;
import com.imin.apitest.biz.scan.ms1.ScanTest;

import androidx.annotation.NonNull;
import androidx.annotation.Nullable;
import androidx.appcompat.app.AppCompatActivity;
import androidx.core.app.ActivityCompat;
import androidx.core.content.ContextCompat;

/**
 * @author ：Chenjk
 * @version 1.0
 * @createTime ：2023/11/25 17:36
 **/
public class MainActivity extends AppCompatActivity {
    TextView tvBrand;
    String deviceName;
    Button btnCashBox;
    Button btnLight;
    Button btnNfc;
    Button btnScanner;
    Button btnScale;
    Button btnScan;
    Button btnMsr;
    Button btnDualScreen;

    @Override
    protected void onCreate(@Nullable Bundle savedInstanceState) {
        super.onCreate(savedInstanceState);
        setContentView(R.layout.activity_main);
        tvBrand = findViewById(R.id.tv_brand);
        String brand = SystemPropManager.getBrand();
        String sn = SystemPropManager.getSn();
        String model = SystemPropManager.getModel();
        tvBrand.setText("Brand："+ brand +"\nSn："+sn+"\nModel："+model);
        deviceName = SystemPropManager.getSystemProperties("persist.sys.device");
        initView();
    }

    private void initView() {
        btnCashBox = findViewById(R.id.btn_cash_box);
        btnLight = findViewById(R.id.btn_light);
        btnNfc = findViewById(R.id.btn_nfc);
        btnScanner = findViewById(R.id.btn_scanner);
        btnScale = findViewById(R.id.btn_scale);
        btnScan = findViewById(R.id.btn_scan);
        btnMsr = findViewById(R.id.btn_msr);
        btnDualScreen = findViewById(R.id.btn_dual_screen);

        if(deviceName.contains("Crane 1")){
            btnScan.setVisibility(View.GONE);
        } else if(deviceName.contains("D4")){
            btnLight.setVisibility(View.GONE);
            btnNfc.setVisibility(View.GONE);
            btnScanner.setVisibility(View.GONE);
            btnMsr.setVisibility(View.GONE);
            btnScan.setVisibility(View.GONE);
        } else if(deviceName.contains("Swan 1")){
            btnLight.setVisibility(View.GONE);
            btnScanner.setVisibility(View.GONE);
            btnScan.setVisibility(View.GONE);
            btnMsr.setVisibility(View.GONE);
        } else if(deviceName.contains("Swift 2")){
            btnCashBox.setVisibility(View.GONE);
            btnLight.setVisibility(View.GONE);
            btnScanner.setVisibility(View.GONE);
            btnScale.setVisibility(View.GONE);
            btnMsr.setVisibility(View.GONE);
            btnDualScreen.setVisibility(View.GONE);
        }
    }

    public void cashBoxFunction(View view) {
        Intent intent = new Intent(this, CashBoxActivity.class);
        startActivity(intent);
    }

    public void lightFunction(View view) {
        Intent intent = new Intent(this, LightActivity.class);
        startActivity(intent);
    }

    public void nfcFunction(View view) {
        Intent intent = new Intent(this, NfcActivity.class);
        startActivity(intent);
    }

    public void scannerFunction(View view) {
        Intent intent = new Intent(this, ScannerActivity.class);
        startActivity(intent);
    }

    public void msrFunction(View view){
        Intent intent = new Intent(this, MsrActivity.class);
        startActivity(intent);
    }

    public void scaleFunction(View view){
        Intent intent = new Intent(this, SelectScaleActivity.class);
        startActivity(intent);
    }

    public void dualScreenFunction(View view){
        Intent intent = new Intent(this, ScreenActivity.class);
        startActivity(intent);
    }

    private final int CAMERA_REQ_CODE = 10000;
    public void scanFunction(View view){
        if (ContextCompat.checkSelfPermission(this, android.Manifest.permission.CAMERA) != PackageManager.PERMISSION_GRANTED){
            ActivityCompat.requestPermissions(this,
                    new String[]{android.Manifest.permission.CAMERA}, CAMERA_REQ_CODE);
        } else {
            if(deviceName.equals("Swift 2")){
                startActivity(new Intent(this, ScanTest.class));
            }else {
                startActivity(new Intent(this, CustomCaptureActivity.class));
            }
//					finish();
        }
    }



    @Override
    public void onRequestPermissionsResult(int requestCode, @NonNull String[] permissions, @NonNull int[] grantResults) {
        super.onRequestPermissionsResult(requestCode, permissions, grantResults);
        if (grantResults.length < 1 || grantResults[0] != PackageManager.PERMISSION_GRANTED ) {
            return;
        }
        if (requestCode == CAMERA_REQ_CODE) {
            if(deviceName.equals("Swift 2")){
                startActivity(new Intent(this, ScanTest.class));
            }else {
                startActivity(new Intent(this, CustomCaptureActivity.class));
            }
        }
    }
}
