package com.imin.apitest.biz;

import android.content.Intent;
import android.os.Bundle;
import android.view.View;
import android.widget.TextView;

import com.imin.apitest.R;
import com.imin.library.IminSDKManager;

import java.util.Timer;
import java.util.TimerTask;

import androidx.annotation.Nullable;
import androidx.appcompat.app.AppCompatActivity;

/**
 * @author ：Chenjk
 * @version 1.0
 * @createTime ：2023/11/25 17:36
 **/
public class CashBoxActivity extends AppCompatActivity {
    TextView tvStatus;

    @Override
    protected void onCreate(@Nullable Bundle savedInstanceState) {
        super.onCreate(savedInstanceState);
        setContentView(R.layout.activity_cashbox);
        tvStatus = findViewById(R.id.tv_cash_box);
        timer.schedule(task, 0, 1000);
    }

    Timer timer = new Timer();
    TimerTask task = new TimerTask() {
        @Override
        public void run() {
            readStatus();
        }
    };


    public void openCash(View view) {
        IminSDKManager.opencashBox(this);
        readStatus();
    }

    public void readStatus() {
        boolean cashBoxOpen = IminSDKManager.isCashBoxOpen(this);
        String cashBoxStatus = cashBoxOpen ? getString(R.string.cashBox_is_open):getString(R.string.cashBox_is_close);
        runOnUiThread(new Runnable() {
            @Override
            public void run() {
                tvStatus.setText(cashBoxStatus +getString(R.string.need_cashBox_support));
            }
        });

    }
    @Override
    protected void onDestroy() {
        super.onDestroy();
        if (null != timer) {
            timer.cancel();
        }
    }

}
