package com.imin.apitest.biz;

import android.content.Intent;
import android.os.Bundle;
import android.util.Log;
import android.widget.TextView;

import com.imin.apitest.R;
import com.imin.apitest.utils.NfcUtils;
import java.io.UnsupportedEncodingException;
import androidx.appcompat.app.AppCompatActivity;

/**
 * @author ：iMin Developer
 * @version 1.0
 * @createTime ：2023/11/23 21:01
 * * For Crane 1
 * */
public class NfcActivity extends AppCompatActivity {

    private TextView number;

    @Override
    protected void onCreate(Bundle savedInstanceState) {
        super.onCreate(savedInstanceState);
        setContentView(R.layout.activity_nfc);
        number = findViewById(R.id.number_credits);
        NfcUtils.getInstance(this);
    }

    @Override
    protected void onResume() {
        super.onResume();
        if (NfcUtils.mNfcAdapter != null){
            //开启前台调度系统
            NfcUtils.mNfcAdapter.enableForegroundDispatch(this, NfcUtils.mPendingIntent, NfcUtils.mIntentFilter, NfcUtils.mTechList);

        }
    }

    @Override
    protected void onPause() {
        super.onPause();
        if (NfcUtils.mNfcAdapter != null){
            //关闭前台调度系统
            NfcUtils.mNfcAdapter.disableForegroundDispatch(this);
        }
    }

    @Override
    protected void onNewIntent(Intent intent) {
        super.onNewIntent(intent);
        if (NfcUtils.mNfcAdapter != null && intent != null){
            //当该Activity接收到NFC标签时，运行该方法
            //调用工具方法，读取NFC数据
            try {
                String str = NfcUtils.readNFCFromTag(intent);
                String nfcId = NfcUtils.readNFCId(intent);
                Log.d("imin_hadrd","onNewIntent ==str == >"+str+"  ,NFC ID==》  "+ nfcId);

                if (nfcId.length() >0){
                     format(number,nfcId);
                }else {

                    number.setText("0");
                }
            } catch (UnsupportedEncodingException e) {
                e.printStackTrace();
            }
        }
    }

    private static String WHITE_SPACE = " ";
    public static void format(TextView textView, String s) {
        if (s.length()==0 || s.isEmpty() || s.equals("null")){
            return;
        }
        String str = s.trim().replaceAll(WHITE_SPACE, "");
        int len = str.length();
        int courPos;

        StringBuilder builder = new StringBuilder();
        for (int i = 0; i < len; i++) {
            builder.append(str.charAt(i));
            if (i == 3 || i == 7 || i == 11 || i == 15) {
                if (i != len - 1)
                    builder.append(WHITE_SPACE);
            }
        }
        courPos = builder.length();
        textView.setText(builder.toString());

    }

    @Override
    protected void onDestroy() {
        super.onDestroy();
//        if (usbNfcDevice != null){
//            try {
//                usbNfcDevice.closeRf();
//            } catch (DeviceNoResponseException e) {
//                e.printStackTrace();
//            }
//        }

    }

}