/*
 * Copyright (C) 2008 ZXing authors
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *      http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */
package com.imin.apitest.biz.scan;

import android.content.Intent;
import android.os.Bundle;
import android.util.Log;
import android.view.View;
import android.widget.Button;
import android.widget.ImageView;
import android.widget.TextView;

import com.imin.apitest.R;
import com.imin.apitest.biz.scan.ms1.ScanTest;
import com.imin.library.SystemPropManager;

import androidx.appcompat.app.AppCompatActivity;


public final class ResultActivity extends AppCompatActivity {
	private TextView tv_result,tv_len,tv_type;
	private ImageView iv_c;
	private Button mCont;

	private final int REQUEST_CODE_SCAN_ONE = 10001;

	@Override
	protected void onCreate(Bundle savedInstanceState) {
		// TODO Auto-generated method stub
		super.onCreate(savedInstanceState);
		setContentView(R.layout.activity_scan_result);
		//setTitle("Scavenging result");
		initView();

	}

	private void initView() {
		// TODO Auto-generated method stub
		tv_result=(TextView) findViewById(R.id.tv_result);
		tv_len=(TextView) findViewById(R.id.tv_len);
		tv_type=(TextView) findViewById(R.id.tv_type);
		Intent intent=getIntent();
		if(intent!=null){
		String result_name=intent.getStringExtra(Constant.INTENT_EXTRA_KEY_QR_SCAN);
		String type_name=intent.getStringExtra(Constant.INTENT_EXTRA_KEY_QR_TYPE);
		tv_result.setText(result_name);
		tv_type.setText(type_name);
		tv_len.setText(""+result_name.length());
		Log.i("info:", tv_result.getText().toString().trim());
		mCont = (Button)findViewById(R.id.cont);
		mCont.setOnClickListener(new View.OnClickListener() {
			
			@Override
			public void onClick(View v) {
				// TODO Auto-generated method stub
//				ScanUtil.startScan(ResultActivity.this, REQUEST_CODE_SCAN_ONE, new HmsScanAnalyzerOptions.Creator().setHmsScanTypes(HmsScan.ALL_SCAN_TYPE).create());
				//startActivity(new Intent(ResultActivity.this, CustomCaptureActivity.class));
				String deviceName = SystemPropManager.getSystemProperties("persist.sys.device");
				if(deviceName.equals("Swift 2")){
					startActivity(new Intent(ResultActivity.this, ScanTest.class));

				}else {
					startActivity(new Intent(ResultActivity.this, CustomCaptureActivity.class));
				}
				finish();
			}
		});
		}
  }

}
