package com.imin.apitest.utils;

import android.view.View;

/**
 * @author ：Chenjk
 * @version 1.0
 * @createTime ：2023/11/24 10:12
 **/
public abstract class OnSingleClickListener implements View.OnClickListener {

    // 默认间隔时间
    private static final long DEFAULT_INTERVAL = 1000L;
    private long mLastClickTime = 0;
    private long mInterval = DEFAULT_INTERVAL;

    public OnSingleClickListener() {}

    public OnSingleClickListener(long interval) {
        this.mInterval = interval;
    }

    @Override
    public final void onClick(View v) {
        long currentClickTime = System.currentTimeMillis();
        if (currentClickTime - mLastClickTime > mInterval) {
            mLastClickTime = currentClickTime;
            onSingleClick(v);
        }
    }


    public abstract void onSingleClick(View v);
}
