

package com.imin.zxing;

/**
 * Thrown when a barcode was successfully detected, but some aspect of
 * the content did not conform to the barcode's format rules. This could have
 * been due to a mis-detection.
 *
 * @author Sean Owen
 */
public final class FormatException extends ReaderException {

  private static final FormatException INSTANCE = new FormatException();
  static {
    INSTANCE.setStackTrace(NO_TRACE); // since it's meaningless
  }

  private FormatException() {
  }

  private FormatException(Throwable cause) {
    super(cause);
  }

  public static FormatException getFormatInstance() {
    return isStackTrace ? new FormatException() : INSTANCE;
  }

  public static FormatException getFormatInstance(Throwable cause) {
    return isStackTrace ? new FormatException(cause) : INSTANCE;
  }
}
